GET V1/TicketManagement.{ext}/AccountDetails?accountId={accountId}
Get Account Details By Acct Id
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId |
|
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Inventory.Entities.AccountDetailsList| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Inventory.Entities.AccountDetailsList |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
Sample:
{
"responseType": "AccountDetailsList",
"response": {
"accountDetails": [
{
"acctId": 1,
"accountNbr": "sample string 2",
"accountName": "sample string 3",
"siteNbr": "sample string 4",
"groupName": "sample string 5",
"acctType": "sample string 6",
"vendorName": "sample string 7",
"glAccount": "sample string 8",
"oldAccount": "sample string 9",
"status": true,
"inActiveDate": "sample string 11",
"address1": "sample string 12",
"address2": "sample string 13",
"city": "sample string 14",
"state": "sample string 15",
"zip": "sample string 16",
"country": "sample string 17",
"longitude": "sample string 18",
"latitude": "sample string 19",
"invoiceAnticipatedday": "sample string 20",
"activeDate": "sample string 21",
"billingAccountNumber": "sample string 22",
"billingTransactionNumber": "sample string 23"
},
{
"acctId": 1,
"accountNbr": "sample string 2",
"accountName": "sample string 3",
"siteNbr": "sample string 4",
"groupName": "sample string 5",
"acctType": "sample string 6",
"vendorName": "sample string 7",
"glAccount": "sample string 8",
"oldAccount": "sample string 9",
"status": true,
"inActiveDate": "sample string 11",
"address1": "sample string 12",
"address2": "sample string 13",
"city": "sample string 14",
"state": "sample string 15",
"zip": "sample string 16",
"country": "sample string 17",
"longitude": "sample string 18",
"latitude": "sample string 19",
"invoiceAnticipatedday": "sample string 20",
"activeDate": "sample string 21",
"billingAccountNumber": "sample string 22",
"billingTransactionNumber": "sample string 23"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Sample:
Binary JSON content. See http://bsonspec.org for details.